[Darshan-commits] [Git][darshan/darshan][master] regression tests now catch LDPRELOAD symbol errors

Shane Snyder xgitlab at cels.anl.gov
Fri Mar 18 14:41:08 CDT 2016


Shane Snyder pushed to branch master at darshan / darshan


Commits:
6e96d134 by Shane Snyder at 2016-03-18T14:38:37-05:00
regression tests now catch LDPRELOAD symbol errors

- - - - -


1 changed file:

- darshan-test/regression/run-all.sh


Changes:

=====================================
darshan-test/regression/run-all.sh
=====================================
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -45,6 +45,17 @@ fi
 # set up environment for tests according to platform
 source $DARSHAN_TESTDIR/$DARSHAN_PLATFORM/env.sh
 
+# in case of using LD_PRELOAD, it is possible errors with Darshan symbols
+# (e..g, forgetting to resolve a symbol Darshan wraps uses using dlsym) 
+# can cause arbitrary binaries to crash. We check the output of the true
+# command to successfully identify failures like this and exit
+true_out=`/bin/true 2>&1`
+if [ $? -ne 0 -o -n true_out ]; then
+    echo $true_out
+    echo "environment setup failed"
+    exit 1
+fi
+
 failure_count=0
 
 for i in `ls $DARSHAN_TESTDIR/test-cases/*.sh`; do



View it on GitLab: https://xgitlab.cels.anl.gov/darshan/darshan/commit/6e96d134ae603f778f9433f44284c5ed9d5cb823
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mcs.anl.gov/pipermail/darshan-commits/attachments/20160318/56365e7c/attachment-0001.html>


More information about the Darshan-commits mailing list